happstack-server-7.9.3: Web related tools and services.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Happstack.Server.Internal.TimeoutManager

Synopsis

- data Manager
- data Handle
- initialize :: Int -> IO Manager
- register :: Manager -> IO () -> IO Handle
- registerKillThread :: Manager -> IO Handle
- tickle :: Handle -> IO ()
- pause :: Handle -> IO ()
- resume :: Handle -> IO ()
- cancel :: Handle -> IO ()
- forceTimeout :: Handle -> IO ()
- forceTimeoutAll :: Manager -> IO ()

# Documentation

data Manager Source #

A timeout manager

data Handle Source #

initialize :: Int -> IO Manager Source #

register :: Manager -> IO () -> IO Handle Source #

registerKillThread :: Manager -> IO Handle Source #

tickle :: Handle -> IO () Source #

pause :: Handle -> IO () Source #

resume :: Handle -> IO () Source #

cancel :: Handle -> IO () Source #

forceTimeout :: Handle -> IO () Source #

forceTimeoutAll :: Manager -> IO () Source #

terminate all threads immediately